function flexible_shipping_saas_integration_options(integration) {
	var integration_class = '.' + integration;
	jQuery('.flexible_shipping_method_rules').css('display', 'table-row');
	if (jQuery('#woocommerce_flexible_shipping_method_integration').val() == integration) {
		jQuery(integration_class).closest('tr').css('display', 'table-row');
	}
	else {
		jQuery(integration_class).closest('tr').css('display', 'none');
	}
	flexible_shipping_saas_rates_type_options();
}

function flexible_shipping_saas_rates_type_options() {
	if ( jQuery('#woocommerce_flexible_shipping_method_integration').length ) {
		var integration_class = '.' + jQuery('#woocommerce_flexible_shipping_method_integration').val();
		if ( integration_class !== '.' ) {
			var rates_type_value = jQuery('.fs-rates-type').val();
			jQuery(integration_class).each(function (index) {
				var closest_tr = jQuery(this).closest('tr');
				if ('custom' === rates_type_value) {
					if (!jQuery(this).hasClass('fs-method')) {
						closest_tr.css('display', 'none');
					} else {
						closest_tr.css('display', 'table-row');
					}
				}
				if ('live' === rates_type_value) {
					if (!jQuery(this).hasClass('fs-live')) {
						closest_tr.css('display', 'none');
					} else {
						closest_tr.css('display', 'table-row');
					}
				}
			});
			// force elements show/hide
			jQuery(window).trigger('resize');
			jQuery(integration_class).each(function (index) {
				if ('checkbox' === jQuery(this).attr('type')) {
					jQuery(this).trigger('change');
				}
			});
		}
	}
}

function flexible_shipping_saas_click_action(fs_action, element, event ) {
	let id = jQuery(element).attr('data-id');
	if ( typeof id !== 'undefined' ) {
		event.stopImmediatePropagation();
		event.preventDefault();
		let element_id = fs_id(element);
		fs_ajax( element, element_id, fs_action );
	}
}

function flexible_shipping_saas_checkbox_dependent_field(checkbox) {
	var dependend_field_id = jQuery(checkbox).data('dependent-field-id');
	if (typeof dependend_field_id !== 'undefined' && jQuery(checkbox).is(':visible')) {
		var dependend_field = jQuery('#'+dependend_field_id);
		if (jQuery(checkbox).is(':checked')) {
			dependend_field.closest('tr').css('display','table-row');
		} else {
			dependend_field.closest('tr').css('display','none');
		}
	}
	var dependend_row_class = jQuery(checkbox).data('dependent-row-class');
	if (typeof dependend_row_class !== 'undefined' ) {
		var dependend_row = jQuery('.' + dependend_row_class);
		if ( jQuery(checkbox).is(':visible') ) {
			if (jQuery(checkbox).is(':checked')) {
				dependend_row.css('display', 'table-row');
			} else {
				dependend_row.css('display', 'none');
			}
		} else {
			dependend_row.css('display', 'table-row');
		}
	}
}

jQuery(document).on('click','.fs-saas-button-create', function( event ) {
	flexible_shipping_saas_click_action( 'send', this, event );
});

jQuery(document).on('click','.fs-saas-button-save', function(e) {
	flexible_shipping_saas_click_action( 'save', this, event );
});

jQuery(document).on('click','.fs-saas-button-cancel-created', function( e ) {
	flexible_shipping_saas_click_action( 'cancel', this, event );
});

jQuery(document).on('change', '.fs-rates-type', function( e ) {
	flexible_shipping_saas_rates_type_options();
});
jQuery(document).on('change', 'input[type=checkbox]', function( e ) {
	flexible_shipping_saas_checkbox_dependent_field(this);
});

jQuery(document).ready(function() {
	let elements = jQuery( '.fs_select2' );
	if ( elements.length ) {
		elements.select2();
	}
});

